Bug 497935 - No /dev/sd? device created for usb drive
No /dev/sd? device created for usb drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 19:53 EDT by Greg Martyn
Modified: 2010-06-28 08:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from connection C240 booted as rockbox for F11 x86_64 - does not mount (858 bytes, text/plain)
2009-06-29 23:43 EDT, Tim Wegener
no flags Details
dmesg from connection C240 booted as sansa for F11 x86_64 - does mount (1.38 KB, text/plain)
2009-06-29 23:44 EDT, Tim Wegener
no flags Details
dmesg from connection C240 booted as rockbox for F10 i686 - does mount (1.57 KB, text/plain)
2009-06-29 23:45 EDT, Tim Wegener
no flags Details

  None (edit)
Description Greg Martyn 2009-04-27 19:53:24 EDT
Description of problem:
I have a Sansa e280 mp3 player. When I plug it in at home on F10 it is recognized as a disk drive. When I plug it in at work with Fedora Rawhide, no it is not recognized

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Plug in mp3 player's usb cable
2. Player does not show up as a disk volume in dolphin.
  
Actual results:

ls /dev/sd*
/dev/sda  /dev/sda1  /dev/sda2  /dev/sda3  /dev/sda4  /dev/sda5
Note that there is no /dev/sdb

tail -f /var/log/messages:
Apr 27 19:51:26 gregmac kernel: hub 1-0:1.0: unable to enumerate USB device on port 2
Apr 27 19:51:26 gregmac kernel: usb 1-2: new high speed USB device using ehci_hcd and address 20
Apr 27 19:51:26 gregmac kernel: usb 1-2: New USB device found, idVendor=0781, idProduct=7421
Apr 27 19:51:26 gregmac kernel: usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr 27 19:51:26 gregmac kernel: usb 1-2: Product: Rockbox media player
Apr 27 19:51:26 gregmac kernel: usb 1-2: Manufacturer: Rockbox.org
Apr 27 19:51:26 gregmac kernel: usb 1-2: SerialNumber: 10000000000000000A4B4515006EA03F4
Apr 27 19:51:26 gregmac kernel: usb 1-2: configuration #1 chosen from 1 choice
Apr 27 19:51:26 gregmac kernel: scsi18 : SCSI emulation for USB Mass Storage devices

Expected results:
1. mp3 player shows up in the list of volumes in dolphin or the devices list in plasma
2. /dev/sdb exists

Additional info:
kernel:
2.6.29.1-102.fc11.x86_64
Comment 1 Greg Martyn 2009-04-27 20:01:03 EDT
This is the same device using its native firmware (instead of Rockbox). Both work under F10, neither work under rawhide.

tail -f /var/log/messages:
Apr 27 19:59:12 gregmac kernel: usb 1-2: new high speed USB device using ehci_hcd and address 23
Apr 27 19:59:13 gregmac kernel: usb 1-2: New USB device found, idVendor=0781, idProduct=7421
Apr 27 19:59:13 gregmac kernel: usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr 27 19:59:13 gregmac kernel: usb 1-2: Product: Sansa e280
Apr 27 19:59:13 gregmac kernel: usb 1-2: Manufacturer: SanDisk
Apr 27 19:59:13 gregmac kernel: usb 1-2: SerialNumber: 00000000-00000000-5051b4a4-f403ea06-00000000
Apr 27 19:59:13 gregmac kernel: usb 1-2: configuration #128 chosen from 1 choice
Apr 27 19:59:14 gregmac kernel: scsi21 : SCSI emulation for USB Mass Storage devices
Apr 27 19:59:24 gregmac kernel: usb 1-2: reset high speed USB device using ehci_hcd and address 23
Apr 27 19:59:24 gregmac kernel: scsi22 : SCSI emulation for USB Mass Storage devices
Comment 2 Johan Cwiklinski 2009-04-28 01:25:13 EDT
the fedora dolphin package is obsolete, since the dolphin application is now
included in kdebase.

$rpm -qf /usr/bin/dolphin
kdebase-4.2.2-3.fc10.x86_64

reassigning the bug to kdebase
Comment 3 Greg Martyn 2009-04-28 08:27:12 EDT
come to think of it, it's probably a udev problem.
Comment 4 Kevin Kofler 2009-04-28 15:17:23 EDT
Yeah, certainly a kernel or udev issue, reassigning.
Comment 5 Harald Hoyer 2009-04-29 07:29:39 EDT
which version of udev? you might try udev-141-3.fc11
Comment 6 Greg Martyn 2009-04-29 08:20:16 EDT
# yum list udev
Installed Packages
udev.x86_64     141-3.fc11     installed
Comment 7 Harald Hoyer 2009-04-29 08:57:32 EDT
Hmm, looks more like a kernel issue.

Apr 27 19:59:24 gregmac kernel: usb 1-2: reset high speed USB device using
ehci_hcd and address 23
Comment 8 Bug Zapper 2009-06-09 10:41:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tim Wegener 2009-06-29 23:41:55 EDT
I also have this problem, with Sansa C240 + Rockbox. It works with Fedora 10 (x86_64 and i686), but not with Fedora 11 (x86_64 and i586).

The 

Note that it does work when the C240 is booted into the Sansa firmware. 

When working, it gets mounted as:
/media/Sansa\ c240/

lsusb shows the device even when it doesn't mount:

As Rockbox (doesn't mount):
Bus 002 Device 004: ID 0781:7450 SanDisk Corp. Sansa C250

As Sansa (does mount):
Bus 002 Device 005: ID 0781:7451 SanDisk Corp. Sansa C240


See forthcoming dmesg snippets.
Comment 10 Tim Wegener 2009-06-29 23:43:31 EDT
Created attachment 349900 [details]
dmesg from connection C240 booted as rockbox for F11 x86_64 - does not mount
Comment 11 Tim Wegener 2009-06-29 23:44:21 EDT
Created attachment 349901 [details]
 dmesg from connection C240 booted as sansa for F11 x86_64 - does mount
Comment 12 Tim Wegener 2009-06-29 23:45:48 EDT
Created attachment 349902 [details]
dmesg from connection C240 booted as rockbox for F10 i686 - does mount
Comment 13 Tim Wegener 2009-06-29 23:49:29 EDT
Relevant package versions:

kernel-2.6.29.5-191.fc11.x86_64
udev-141-3.fc11.x86_64
libusb-0.1.12-21.fc11.x86_64
libusb-0.1.12-21.fc11.i586
libusb1-1.0.0-2.fc11.x86_64
hal-0.5.12-26.20090226git.fc11.x86_64

problem also occurred with:
kernel-2.6.29.4-167.fc11.x86_64
Comment 14 Bug Zapper 2010-04-27 09:58:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 08:14:41 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.